@echo off
:: Get current date and time to create a unique folder name
for /f "tokens=2-4 delims=/ " %%a in ('date /t') do (set mydate=%%c-%%a-%%b)
for /f "tokens=1-2 delims=/:" %%a in ('time /t') do (set mytime=%%a%%b)
set mytime=%mytime: =%

:: Define the new destination folder inside your master Backup folder
set DEST="C:\Users\Abbas\Documents\Downloads\Auction Backup\Backup_%mydate%_%mytime%"

:: Run the fast copy, ignoring the heavy node_modules
robocopy . %DEST% /E /XD node_modules

echo Backup Complete!
pause